<div align="center">
    <h2 align="center">
        <img src="https://forge.kworld.fr/foss/anum/anum/-/raw/main/logo.png" width="120"/>
<br>Anum: <small>Commons helpers for .Net projects</small>
    </h2>
    <p align="center">
     <a href="https://dotnet.microsoft.com/">
        <img src="https://img.shields.io/badge/⩾-6.0-512BD4.svg?stylee&logo=dotnet" alt=".Net" />
        </a>     
<a href="https://dotnet.microsoft.com/en-us/languages/csharp">
    <img src="https://img.shields.io/badge/C%23-05930c.svg?stylee&logo=csharp" alt="C#" />
</a>

 <a href="https://forge.kworld.fr/foss/anum/anum/-/blob/main/LICENSE.txt">
    <img src="https://img.shields.io/badge/License-Apache%202.0-blue.svg" alt="apache2-license" />
    </a>    

<a href="https://forge.kworld.fr/foss/anum/anum/-/pipelines/latest?ref=main">
  <img src="https://img.shields.io/gitlab/pipeline-status/foss%2Fanum%2Fanum?gitlab_url=https%3A%2F%2Fforge.kworld.fr%2F&branch=main&logo=gitlab" alt="CI Status" />
</a>    
</p>
<hr>
</div>


Anum is an open-source suite of helpers libraries for .NET applications development.

#### Latest packages

<a href="https://nuget.kworld.dev/packages/nabu.core">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.core%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Core&color=purple" alt="Core Nuget" />
</a>
<br>
<a href="https://nuget.kworld.dev/packages/nabu.data">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.data%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Data&color=green" alt="Data Nuget" />
</a><a href="https://nuget.kworld.dev/packages/nabu.data.entityframework">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.data.entityframework%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Data.EntityFramework&color=darkgreen" alt="Data.EntityFramework Nuget" />
</a><a href="https://nuget.kworld.dev/packages/nabu.core">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.data.litedb%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Data.LiteDb&color=darkgreen" alt="Data.LiteDb Nuget" />
</a>
<br>
<a href="https://nuget.kworld.dev/packages/nabu.storage">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.storage%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Storage&color=blue" alt="Storage Nuget" />
</a><a href="https://nuget.kworld.dev/packages/nabu.storage.local">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.storage.local%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Storage.Local&color=darkblue" alt="Storage.Local Nuget" />
</a><a href="https://nuget.kworld.dev/packages/storage.minio">
 <img src="https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fnuget.kworld.dev%2Fv3%2Fregistration%2Fnabu.storage.minio%2Findex.json&query=%24.items%5B0%5D.upper&logo=nuget&label=Nabu.Storage.Minio&color=darkblue" alt="Storage.Minio Nuget" />
</a>

---

## Installation

Before installing Anum, make sure to add the custom NuGet source to your configuration.  
Open a terminal or command prompt and run the following command:

```bash
dotnet nuget add source "https://nuget.kworld.dev/v3/index.json" -n "kworld NuGet"
```

Now you can install the various components of Anum with the following commands:

```bash

dotnet add package my_awesome_project.csproj Anum.Commons

```


## Documentation

For comprehensive insights into the capabilities and nuances of Anum, refer to the official documentation:

[Documentation Link](https://foss.gitlab.kworld.page/anum/anum/)

## Contributing

Join us in enhancing Anum! We welcome contributions in the form of suggestions, bug reports, and pull requests. Check out the [Contribution Guidelines](https://forge.kworld.fr/foss/anum/anum/-/blob/main/CONTRIBUTING.md) to get involved.

## License

This project operates under the Apache 2.0 License. For more details, refer to the [LICENSE](https://forge.kworld.fr/foss/anum/anum/-/blob/main/LICENSE.txt) file.

## Why "Anum" ?

__Anum__ (Akkadian: cuneiform: 𒀭𒀭) is the name of and old Mesopotamian God.  
In ancient cultures, __Anum__ was the divine personification of the sky, king of the gods, and ancestor of many of the deities. 
